Create a Nucleus contact
curl --request POST \
--url https://app.auditynow.com/api/nucleus/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
'import requests
url = "https://app.auditynow.com/api/nucleus/contacts"
payload = {
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
email: 'jane@initech.com',
company: 'Initech',
role: 'CTO',
relationshipType: 'client'
})
};
fetch('https://app.auditynow.com/api/nucleus/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.auditynow.com/api/nucleus/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Jane Doe',
'email' => 'jane@initech.com',
'company' => 'Initech',
'role' => 'CTO',
'relationshipType' => 'client'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.auditynow.com/api/nucleus/contacts"
payload := strings.NewReader("{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.auditynow.com/api/nucleus/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.auditynow.com/api/nucleus/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"role": "<string>",
"notes": "<string>",
"relationshipType": "client",
"lastInteractionAt": "2023-11-07T05:31:56Z"
}Nucleus
Create a Nucleus contact
Creates a contact in Audity’s lightweight CRM. Only name is required, all other fields are optional. relationshipType is silently coerced to null if not one of the allowed enum values.
Returns 201 with the created contact. Note: this endpoint returns the contact directly (not wrapped under { contact: ... }).
POST
/
api
/
nucleus
/
contacts
Create a Nucleus contact
curl --request POST \
--url https://app.auditynow.com/api/nucleus/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
'import requests
url = "https://app.auditynow.com/api/nucleus/contacts"
payload = {
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
email: 'jane@initech.com',
company: 'Initech',
role: 'CTO',
relationshipType: 'client'
})
};
fetch('https://app.auditynow.com/api/nucleus/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.auditynow.com/api/nucleus/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Jane Doe',
'email' => 'jane@initech.com',
'company' => 'Initech',
'role' => 'CTO',
'relationshipType' => 'client'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.auditynow.com/api/nucleus/contacts"
payload := strings.NewReader("{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.auditynow.com/api/nucleus/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.auditynow.com/api/nucleus/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Jane Doe\",\n \"email\": \"jane@initech.com\",\n \"company\": \"Initech\",\n \"role\": \"CTO\",\n \"relationshipType\": \"client\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"role": "<string>",
"notes": "<string>",
"relationshipType": "client",
"lastInteractionAt": "2023-11-07T05:31:56Z"
}Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Body
application/json
Response
Contact created

